Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.recipe.exception
Enum RecipeBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<RecipeBusinessConnectorExceptionValues>
          be.ehealth.businessconnector.recipe.exception.RecipeBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<RecipeBusinessConnectorExceptionValues>

Deprecated.

    @Deprecated
    public enum RecipeBusinessConnectorExceptionValues

extends Enum<RecipeBusinessConnectorExceptionValues>

Enumeration for possible Recipe Business exceptions

Enum Constant Summary
`ERROR_GENERAL` Deprecated. General Error: {0}
`ERROR_XML_INVALID` Deprecated. XML could not be validated against XSD.
`PROPERTY_NOT_CORRECTLY_SET` Deprecated. {0} property is not correctly set
`SETTINGS_NOT_FOUND` Deprecated. {0}

Method Summary
`String` | `getErrorCode()` Deprecated.
`String` | `getMessage()` Deprecated.
`static RecipeBusinessConnectorExceptionValues` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static RecipeBusinessConnectorExceptionValues[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR_GENERAL

    public static final RecipeBusinessConnectorExceptionValues ERROR_GENERAL

  Deprecated.
  General Error: {0}

### SETTINGS_NOT_FOUND

    public static final RecipeBusinessConnectorExceptionValues SETTINGS_NOT_FOUND

  Deprecated.
  {0}

### ERROR_XML_INVALID

    public static final RecipeBusinessConnectorExceptionValues ERROR_XML_INVALID

  Deprecated.
  XML could not be validated against XSD. {0}

### PROPERTY_NOT_CORRECTLY_SET

    public static final RecipeBusinessConnectorExceptionValues PROPERTY_NOT_CORRECTLY_SET

  Deprecated.
  {0} property is not correctly set

Method Detail

### values

    public static RecipeBusinessConnectorExceptionValues[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RecipeBusinessConnectorExceptionValues c : RecipeBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RecipeBusinessConnectorExceptionValues valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Deprecated.
  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Deprecated.
  Returns:
    the errorMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.